### Method

# Fwupd Client get_remote_by_id

#### Declaration [src]

    FwupdRemote*
    fwupd_client_get_remote_by_id (
      FwupdClient* self,
      const gchar* remote_id,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Gets a specific remote that has been configured for the system.

Available since: | 0.9.3

#### Parameters

`remote_id` | `const gchar*`
| The remote ID, e.g. `lvfs-testing`
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`cancellable` | `GCancellable`
| Optional `GCancellable`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `FwupdRemote`
| A `FwupdRemote`, or `NULL` if not found.
| The caller of the method takes ownership of the data, and is responsible for freeing it.